"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_getPageConfig = require("../../common/libraries/getPageConfig.js");
const ME_payment_pre_stored_method = require("./method.js");
const ME_payment_pre_stored_model = require("./model.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_uni_icons2 + _easycom_hs_button2 + _easycom_cc_scroll_loading2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_button + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(() => {
      var _a;
      ME_payment_pre_stored_model.useModel.listData.value = [];
      ME_payment_pre_stored_model.useModel.formData.value.page = 1;
      (_a = ME_payment_pre_stored_method.method) == null ? void 0 : _a.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o;
      return common_vendor.e({
        a: common_vendor.p({
          type: "help",
          size: "18",
          color: "#666"
        }),
        b: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _a2.handleClickHelp) && ((_b2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _b2.handleClickHelp(...args));
          }
        ),
        c: common_vendor.f((_b = (_a = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _a.prepayableHouses) == null ? void 0 : _b.value, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.full_name),
            b: i == null ? void 0 : i.is_prepayment
          }, (i == null ? void 0 : i.is_prepayment) ? {} : {}, {
            c: i == null ? void 0 : i.overdue_amount
          }, (i == null ? void 0 : i.overdue_amount) ? {} : {}, {
            d: !(i == null ? void 0 : i.overdue_amount)
          }, !(i == null ? void 0 : i.overdue_amount) ? {} : {}, {
            e: common_vendor.t((i == null ? void 0 : i.overdue_amount) || (i == null ? void 0 : i.prepayment_amount) || "0.00"),
            f: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _a2.goToPage(`/ME/pre_stored_form/index?full_name=${i == null ? void 0 : i.full_name}&asset_houses_id=${i == null ? void 0 : i.asset_houses_id}`);
            }, `item_${index}`),
            g: "1c2e15d3-2-" + i0 + ",1c2e15d3-1",
            h: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _a2.goToPage(`/ME/income_expenditure/index`);
            }, `item_${index}`),
            i: `item_${index}`
          });
        }),
        d: common_vendor.p({
          label: "立即预缴",
          size: "md"
        }),
        e: common_vendor.s(common_vendor.unref(common_libraries_getPageConfig.getStyleColorInfo)()),
        f: (_e = (_d = (_c = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _c.nonPrepayableHouses) == null ? void 0 : _d.value) == null ? void 0 : _e.length
      }, ((_h = (_g = (_f = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _f.nonPrepayableHouses) == null ? void 0 : _g.value) == null ? void 0 : _h.length) ? {
        g: common_vendor.t(((_k = (_j = (_i = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _i.nonPrepayableHouses) == null ? void 0 : _j.value) == null ? void 0 : _k.length) || 0),
        h: common_vendor.f((_m = (_l = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _l.nonPrepayableHouses) == null ? void 0 : _m.value, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.full_name),
            b: i == null ? void 0 : i.is_prepayment
          }, (i == null ? void 0 : i.is_prepayment) ? {} : {}, {
            c: i == null ? void 0 : i.overdue_amount
          }, (i == null ? void 0 : i.overdue_amount) ? {} : {}, {
            d: !(i == null ? void 0 : i.overdue_amount)
          }, !(i == null ? void 0 : i.overdue_amount) ? {} : {}, {
            e: common_vendor.t((i == null ? void 0 : i.overdue_amount) || (i == null ? void 0 : i.prepayment_amount) || "0.00"),
            f: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _a2.goToPage("/INDEX/bill/list/index");
            }, `item_${index}`),
            g: "1c2e15d3-3-" + i0 + ",1c2e15d3-1",
            h: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_payment_pre_stored_method.method)) == null ? void 0 : _a2.goToPage(`/ME/income_expenditure/index`);
            }, `item_${index}`),
            i: `item_${index}`
          });
        }),
        i: common_vendor.p({
          label: "立即缴费",
          size: "md"
        }),
        j: common_vendor.s(common_vendor.unref(common_libraries_getPageConfig.getStyleColorInfo)())
      } : {}, {
        k: common_vendor.p({
          meta: (_o = (_n = common_vendor.unref(ME_payment_pre_stored_model.useModel)) == null ? void 0 : _n.metaData) == null ? void 0 : _o.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/payment_pre_stored/index.vue"]]);
wx.createPage(MiniProgramPage);
